<script setup>

import {ref} from "vue";
import {router} from "@/router";

const user = ref()
const password = ref()

function login() {
  if (user.value === "admin" && password.value === "admin") {
    router.push("/dashboard")
  } else {
    return alert("Wrong user or password")
  }
}

</script>

<template>
  <h1>CODERS.BAY VIENNA</h1>

  <div class="d-flex justify-content-center align-items-center">
    <div class="container">
      <div class="row d-flex justify-content-center">
        <div class="col-12 col-md-8 col-lg-6">
          <div class="card bg-dark text-white">
            <div class="card-body p-5">
              <form class="mb-3 mt-md-2">
                <img class="card-img-top" src="../views/photos/logo.jfif" alt="Card image">
                <h2 class="mt-3 mb-4 text-center">Welcome!</h2>
                <div class="mb-3 text-center">
                  <label for="user" class="form-label">Username</label>
                  <input type="text" class="form-control" v-model="user" placeholder="name">
                </div>
                <div class="mb-3 text-center">
                  <label for="password" class="form-label ">Password</label>
                  <input type="password" class="form-control" v-model="password" placeholder="*******">
                </div>
                <div class="d-grid">
                  <button type="button" class="btn btn-outline-warning" @click="login">Login</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="footer">
    <p></p>
    ©Copyright: Coders.Bay Vienna 2023
  </div>

</template>

<style scoped>
h1 {
  margin-top: 1px;
  margin-left: -200px;
  color: black;
}

.container {
  margin-top: 20px;
  margin-left: -350px;
  width: 700px;
  height: 700px;
}

.card-img-top {
  margin-top: -20px;
}

.footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 60px;
  background-color: black;
  color: white;
  text-align: center;
}

</style>